# class Hash

copied from activesupport/core_ext from Rails, MIT license github.com/rails/rails/tree/5aa869861c192daceafe3a3ee50eb93f5a2b7bd2/activesupport/lib/active_support/core_ext

### Public Instance Methods

extractable_options?() click to toggle source

By default, only instances of Hash itself are extractable. Subclasses of Hash may implement this method and return true to declare themselves as extractable. If a Hash is extractable, Array#extract_options! pops it from the Array when it is the last element of the Array.

    # File lib/dbus/core_ext/array/extract_options.rb, line 9
    def extractable_options?
      instance_of?(Hash)
    end